﻿# ------ Rusty set

# ------ Cloth set
default shirt = equipment(
    _("Linen shirt"),
    _("Offers almost no protection."),
    "shirt",
    10,
    ["chest"],
    armor = 1
)
default straw_hat = equipment(
    _("Straw hat"),
    _("There's no sun inside."),
    "straw_hat",
    6,
    ["head"],
    armor = 1
)
# No gloves
default sandals = equipment(
    _("Sandals"),
    _("Worn with socks."),
    "sandals",
    8,
    ["feet"],
    armor = 1
)
# No ring

# ------ Gambeson
default gambeson = equipment(
    _("Gambeson"),
    _("Basic armor."),
    "gambeson",
    44,
    ["chest"],
    armor = 4
)
default quilted_hood = equipment(
    _("Quilted hood"),
    _("Made of wool and linen."),
    "quilted_hood",
    30,
    ["head"],
    armor = 3
)
default quilted_gloves = equipment(
    _("Quilted gloves"),
    _("Made of wool and linen."),
    "quilted_hood",
    25,
    ["hands"],
    armor = 2
)
default pointy_shoes = equipment(
    _("Pointy shoes"),
    _("Made of leather bits."),
    "pointy_shoes",
    24,
    ["feet"],
    armor = 2
)
# no ring

# ------ Boiled leather set
default leather_armor = equipment(
    _("Leather armor"),
    _("Made from boiled leather, Padded with wool."),
    "leather_armor",
    120,
    ["chest"],
    armor = 7
)
default leather_helmet = equipment(
    _("Leather helmet"),
    _("Made from boiled leather. Padded with linen."),
    "leather_helmet",
    80,
    ["head"],
    armor = 5
)
default leather_gloves = equipment(
    _("Leather gloves"),
    _("Better grip."),
    "leather_gloves",
    60,
    ["hands"],
    armor = 4
)
# default leather_shoes = equipment(
#     _("Leather shoes"),
#     _("Made of good leather."),
#     "leather_shoes",
#     50,
#     ["feet"],
#     armor = 4
# )
default leather_band = equipment(
    _("Leather band"),
    _("A good luck charm."),
    "leather_band",
    50,
    ["ring"],
    armor = 1
)
# ------ Shell armor
default shell_armor = equipment(
    _("Shell armor"),
    _("Mostly turtle shells."),
    "shell_armor",
    200,
    ["chest"],
    armor = 12
)
default shell_helmet = equipment(
    _("Shell helmet"),
    _("Mostly turtle shells. Some clams."),
    "shell_helmet",
    130,
    ["head"],
    armor = 9
)
default shell_gloves = equipment(
    _("Shell gloves"),
    _("Only covers the back of hand."),
    "shell_gloves",
    60,
    ["hands"],
    armor = 8
)
default shell_shoes = equipment(
    _("Shell shoes"),
    _("Made of leather, covered with shells."),
    "shell_shoes",
    50,
    ["feet"],
    armor = 7
)
default shell_band = equipment(
    _("Shell band"),
    _("Carved out of turtle shell."),
    "shell_band",
    50,
    ["ring"],
    armor = 3
)
# ------ Scale armor
default scale_armor = equipment(
    _("Scale armor"),
    _("Animal scales, horns, bones and hard bits."),
    "scale_armor",
    200,
    ["chest"],
    armor = 12
)
default scale_helmet = equipment(
    _("Scale helmet"),
    _("Animal scales, horns, bones and hard bits."),
    "scale_helmet",
    130,
    ["head"],
    armor = 9
)
default scale_gloves = equipment(
    _("Scale gloves"),
    _("Only covers the back of hand."),
    "scale_gloves",
    60,
    ["hands"],
    armor = 8
)
default scale_shoes = equipment(
    _("Scale shoes"),
    _("Made of leather, covered with Animal scales, horns, bones and hard bits."),
    "scale_shoes",
    50,
    ["feet"],
    armor = 7
)
default horn_band = equipment(
    _("Horn band"),
    _("Carved out of some kind of horn."),
    "scale_band",
    50,
    ["ring"],
    armor = 3
)
# ------ Lamellar armor
default lamellar_armor = equipment(
    _("Lamellar armor"),
    _("Metal platelets laced together."),
    "lamellar_armor",
    300,
    ["chest"],
    armor = 17
)
default lamellar_helmet = equipment(
    _("Lamellar helmet"),
    _("Metal platelets laced together."),
    "lamellar_helmet",
    210,
    ["head"],
    armor = 13
)
default lamellar_gloves = equipment(
    _("Lamellar gloves"),
    _("Metal platelets laced together."),
    "lamellar_gloves",
    120,
    ["hands"],
    armor = 10
)
default lamellar_shoes = equipment(
    _("Lamellar shoes"),
    _("Metal platelets laced together."),
    "lamellar_shoes",
    100,
    ["feet"],
    armor = 9
)
default ivory_band = equipment(
    _("Ivory band"),
    _("Carved out of elephant tusk."),
    "ivory_band",
    90,
    ["ring"],
    armor = 4
)
# ------ Laminar armor
default laminar_armor = equipment(
    _("Laminar armor"),
    _("Metal strips laced together."),
    "laminar_armor",
    340,
    ["chest"],
    armor = 17
)
default laminar_helmet = equipment(
    _("Laminar helmet"),
    _("Metal strips laced together."),
    "laminar_helmet",
    250,
    ["head"],
    armor = 13
)
default laminar_gloves = equipment(
    _("Laminar gloves"),
    _("Metal strips laced together."),
    "laminar_gloves",
    160,
    ["hands"],
    armor = 10
)
default laminar_shoes = equipment(
    _("Laminar shoes"),
    _("Metal strips laced together."),
    "laminar_shoes",
    120,
    ["feet"],
    armor = 9
)
default silver_ring = equipment(
    _("Silver ring"),
    _("Costs a pretty penny."),
    "silver_ring",
    150,
    ["ring"],
    armor = 4
)

# ------ Plated mail armor
default plated_armor = equipment(
    _("Plated armor"),
    _("Big nice plates."),
    "plated_armor",
    880,
    ["chest"],
    armor = 25
)
default plated_helmet = equipment(
    _("Plated helmet"),
    _("A solid piece of metal."),
    "plated_helmet",
    500,
    ["head"],
    armor = 19
)
default plated_gloves = equipment(
    _("Plated gloves"),
    _("My hands are safe."),
    "plated_gloves",
    220,
    ["hands"],
    armor = 14
)
default plated_shoes = equipment(
    _("Plated shoes"),
    _("Heavy."),
    "plated_shoes",
    200,
    ["feet"],
    armor = 14
)
default gold_ring = equipment(
    _("Fold ring"),
    _("Very expensive."),
    "gold_ring",
    450,
    ["ring"],
    armor = 5
)
# ------ Mail armor

# ------ Brigandine armor

# ------ Plate armor




# ------ Copper set


# ------ Bronze set

